Improve the !OPUS_BUILD #error.
authorRalph Giles <giles@mozilla.com>
Thu, 29 Nov 2012 19:40:04 +0000 (11:40 -0800)
committerRalph Giles <giles@mozilla.com>
Thu, 29 Nov 2012 19:46:14 +0000 (11:46 -0800)
The README doesn't say anything about this particular define.
Refer people to config.h and the other build files for examples.

src/opus_decoder.c

index 1826232..167e4e4 100644 (file)
@@ -30,7 +30,7 @@
 #endif
 
 #ifndef OPUS_BUILD
-#error "OPUS_BUILD _MUST_ be defined to build Opus and you probably want a decent config.h, see README for more details."
+#error "OPUS_BUILD _MUST_ be defined to build Opus. This probably means you need other defines as well, as in a config.h. See the included build files for details."
 #endif
 
 #include <stdarg.h>